﻿local Engine, Api, Locale, Settings = unpack(Immersive)

-- Perform database migrations for version 1
function Settings:UpgradeFrom1()
	local chat = Settings.Database.profile.Chat
	local chatframe = Settings.Database.profile.Default.Elements.ChatFrame

	if chatframe ~= nil then
		for _, option in pairs({ "Enabled", "Mode", "DelayTime", "FadeTime", "IsHotspot", "Conditions" }) do
			if chatframe[option] ~= nil then
				chat[option] = chatframe[option]
			end
		end
	end
	
	Settings.Database.profile.Default.Elements.ChatFrame = nil

	return 2
end